<template>
  <modal :max-width="350" :max-height="250" :adaptive="true" @before-open="beforeOpen" name="confirm">
    <p class="modal-message">{{message}}</p>
    <div class="modal-buttons">
      <div @click="confirmAction()" class="button add">Yes</div>
      <div @click="$modal.hide('confirm')" class="button delete">No</div>
    </div>
  </modal>
</template>

<script>
  export default {
    name: "modalWrapper",
    data () {
      return {
        //Modal Settings
        message: '',
        action: '',
        id: undefined
      }
    },
    methods: {
      confirmAction(){
        if (this.action === 'delete') {
          this.$store.dispatch('deleteTodo',this.id)
          this.$modal.hide('confirm')
          if (this.$route.params.id || this.$route.params.id === 0) {
            this.$router.push('/')
          }
        } else if (this.action === 'delete-new') {
          this.$router.push('/')
        } else {
          this.$emit('cancelChanges')
        }
      },
      beforeOpen (event) {
        this.message = event.params.message
        this.action = event.params.action
        this.id = event.params.id
      }
    }
  }
</script>

<style scoped>

</style>